Skip to content

API reference

Cancel a scheduled post

post_cancel — Cancel a scheduled post that has not been published yet (a post being published right now cannot be cancelled).

post_cancel · Changes an X-Buddy setting

Cancel a scheduled post that has not been published yet (a post being published right now cannot be cancelled).

REST POST /api/public/v1/posts/{post_id}/cancel
MCP tool post_cancel
Permission needed posts.manage — Owner, Manager, Operator
Scope group x:publish
Group Posts
Shown up front in profiles Automation

Input

Field Type Required Description
post_id string (uuid) Yes Post id.

Result

Returns the operation's result in the { data, meta } envelope.

Needs an idempotency key (Idempotency-Key, 8–128 characters). Retrying with the same key never repeats the action.

Example

Call over REST

curl -X POST "https://reach-link-craft.lovable.app/api/public/v1/posts/00000000-0000-4000-8000-000000000001/cancel" \
  -H "Authorization: Bearer $XBUDDY_API_KEY" \
  -H "Idempotency-Key: 6f1c2a90-example-key" \
  -H "Content-Type: application/json" \
  -d '{}'

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "post_cancel",
    "arguments": {
      "post_id": "00000000-0000-4000-8000-000000000001",
      "idempotency_key": "6f1c2a90-example-key"
    }
  }
}

Errors you may get

Back to all operations